Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83814 - interactive partition editor creates newly created partitions in random order
Summary: interactive partition editor creates newly created partitions in random order
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 08:31 UTC by hvv
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 17:46:33 UTC


Attachments (Terms of Use)

Description hvv 2003-02-09 08:31:48 UTC
Description of problem:

When creating several partitions using interactive partition editor of the
installer, user doesn't have any control over the order in which  partitions are
really created in. It seems the tool sorts newly created partitions by size,
and then allocate them in partition table. This way the biggest partition gets
smaller partition
index. E.g. swap partitions are not the largest ones, that means that swap
partitions move to the end of the disk, where IO is much slower than at the
begining.. So user has NO way to place swap partition at the begining of the
harddisk, except by NOT using that interactive partition editor.

Comment 1 Jeremy Katz 2003-02-10 18:12:54 UTC
This is intentional as its the only way we can make sure there is space
remaining to add the partitions which are larger and potentially growing.  If
you mark a partition as "must be primary", then that gives it additional
priority and it will get allocated before partitions which don't have primary
specified

Comment 2 hvv 2003-02-11 10:06:30 UTC
Utilizing primary partitions is totally wrong for this.
Also precise control over the order of partitions should be available
at least in the Expert mode, and better yet - it there should be
a checkbox somewhere in DiskDruid to control the automatic reordering
of partitions.

Comment 3 Michael Fulbright 2003-02-11 17:46:33 UTC
You can also create partitions by specifying the cylinder range.  Double click
on a free space region and you can do this.


Note You need to log in before you can comment on or make changes to this bug.